#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 10. Graphics and Font Libraries

- Prev

  woff2-1.0.2

- Next

  General Utilities

- Up
- Home

# zxing-cpp-3.0.2

## Introduction to zxing-cpp

The zxing-cpp package provides an open-source, multi-format linear/matrix barcode image processing library.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/zxing-cpp/zxing-cpp/releases/download/v3.0.2/zxing-cpp-3.0.2.tar.gz

- Download MD5 sum: 7690dcbad9fd76fb4f6cacf8036f1293

- Download size: 1.5 MB

- Estimated disk space required: 85 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### zxing-cpp dependencies

#### Required

CMake-4.3.2

#### Optional

googletest

## Installation of zxing-cpp

Install zxing-cpp by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D ZXING_C_API=OFF           \
          -D ZXING_EXAMPLES=OFF        \
          -D ZXING_WRITERS=BOTH        \
          -W no-dev ..                 &&
    make

The tests require the googletest package, which is not in BLFS.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libZXing.so
Installed Directories: /usr/include/ZXing and /usr/lib/cmake/ZXing

### Short Descriptions

`libZXing.so` | provides several API functions for processing barcode images

- Prev

  woff2-1.0.2

- Next

  General Utilities

- Up
- Home